Package org.gradle.api.tasks.compile

## Class AbstractOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `BaseForkOptions`, `BaseScalaCompileOptions`, `CompileOptions`, `DebugOptions`, `GroovyCompileOptions`, `ScalaDocOptions`

      public abstract class AbstractOptions
      extends Object
      implements Serializable

  Base class for compilation-related options.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `define​(Map<String,​Object> args)` |
    `protected boolean` | `excludeFromAntProperties​(String fieldName)` |
    `protected String` | `getAntPropertyName​(String fieldName)` |
    `protected Object` | `getAntPropertyValue​(String fieldName, Object value)` |
    `Map<String,​Object>` | `optionMap()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOptions

          public AbstractOptions()

  - ### Method Detail

    - #### define

          public void define​(@Nullable
                             Map<String,​Object> args)

    - #### optionMap

          public Map<String,​Object> optionMap()

    - #### excludeFromAntProperties

          protected boolean excludeFromAntProperties​(String fieldName)

    - #### getAntPropertyName

          protected String getAntPropertyName​(String fieldName)

    - #### getAntPropertyValue

          protected Object getAntPropertyValue​(String fieldName,
                                               Object value)